TLSServerParameters (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.jsse

## Class TLSServerParameters

- java.lang.Object
- - org.apache.cxf.configuration.jsse.TLSParameterBase
  - - org.apache.cxf.configuration.jsse.TLSServerParameters

- Direct Known Subclasses:
    `TLSServerParametersConfig`

      public class TLSServerParameters
      extends TLSParameterBase

  This class extends `TLSParameterBase` with service-specific SSL/TLS parameters.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

      `certAlias, certConstraints, cipherSuiteFilters, ciphersuites, DEFAULT_HTTPS_PROTOCOLS, keyManagers, protocol, provider, secureRandom, trustManagers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSServerParameters()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.cxf.configuration.security.ClientAuthentication` | `getClientAuthentication()` | This parameter retrieves the client authentication settings.
    `List<String>` | `getExcludeProtocols()` | Returns the protocols to exclude that are associated with this endpoint.
    `List<String>` | `getIncludeProtocols()` | Returns the protocols to include that are associated with this endpoint.
    `static String[]` | `getPreferredServerProtocols()` |
    `boolean` | `isSniHostCheck()` | Returns if the SNI host name must match
    `void` | `setClientAuthentication​(org.apache.cxf.configuration.security.ClientAuthentication clientAuth)` | This parameter configures the server side to request and/or require client authentication.
    `void` | `setExcludeProtocols​(List<String> protocols)` | This parameter sets the protocol list to exclude.
    `void` | `setIncludeProtocols​(List<String> protocols)` | This parameter sets the protocol list to include.
    `void` | `setSniHostCheck​(boolean sniHostCheck)` |

    - ### Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

      `getCertAlias, getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandom, getSecureSocketProtocol, getTrustManagers, setCertAlias, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSServerParameters

          public TLSServerParameters()

  - ### Method Detail

    - #### setClientAuthentication

          public final void setClientAuthentication​(org.apache.cxf.configuration.security.ClientAuthentication clientAuth)

      This parameter configures the server side to request and/or require client authentication.

    - #### getClientAuthentication

          public org.apache.cxf.configuration.security.ClientAuthentication getClientAuthentication()

      This parameter retrieves the client authentication settings.

    - #### setExcludeProtocols

          public final void setExcludeProtocols​(List<String> protocols)

      This parameter sets the protocol list to exclude.

    - #### getExcludeProtocols

          public List<String> getExcludeProtocols()

      Returns the protocols to exclude that are associated with this endpoint.

    - #### setIncludeProtocols

          public final void setIncludeProtocols​(List<String> protocols)

      This parameter sets the protocol list to include.

    - #### getIncludeProtocols

          public List<String> getIncludeProtocols()

      Returns the protocols to include that are associated with this endpoint.

    - #### isSniHostCheck

          public boolean isSniHostCheck()

      Returns if the SNI host name must match

    - #### setSniHostCheck

          public void setSniHostCheck​(boolean sniHostCheck)

      Parameters:
        `sniHostCheck` - if the SNI host name must match

    - #### getPreferredServerProtocols

          public static String[] getPreferredServerProtocols()